/**
* Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.nv-chip {
  background-color: var(--nv-theme-alt-2);
  border-radius: 20px;
  cursor: pointer;
  display: inline-block;
  margin-bottom: 3px;
  margin-right: 2px;
  overflow: hidden;
  padding: $space-sm;
  position: relative;
  vertical-align: top;

  span {
    position: relative;
    z-index: 2;
  }

  .nv-chip-title,
  .nv-chip-close-icon {
    font-size: $base-px;
    margin-left: $space-sm;
    vertical-align: top;  
  }

  .nv-chip-close-icon {
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 50%;
    cursor: pointer;
    display: inline-block;
    height: 24px;
    margin-left: 4px;
    text-align: center;
    width: 24px;
  }

  .nv-avatar {
    background-color: rgb(195, 195, 195);
    border-radius: 50%;
    display: inline-block;
    height: 24px;
    overflow: hidden;
    position: relative;
    vertical-align: top;
    width: 24px;

    span {
      font-size: 100%;
    }
  }

  span {
    font-size: 60%;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  img {
    height: 100%;
    width: 100%;
  }
}
